## gnade 1.6.2

=== Makefile ===
## ----------------------------------------------------------------------------
##                                                                           --
##  Filename        : $Source: /cvsroot/gnade/gnade/Makefile,v $
##  Description     : The top level makefile of GNADE                        --
##  Author          : Michael Erdmann <Michael.Erdmann@snafu.de>             --
##  Created On      : 03-Jan-2001                                            --
##  Last Modified By: $Author: merdmann $                                    --
##  Last Modified On: $Date: 2006/12/12 19:02:11 $                           --
##  Status          : $State: Exp $                                          --
##                                                                           --
##  Copyright (C) 2000-2006 Michael Erdmann                                  --
##                                                                           --
##  GNADE is copyrighted by the persons and institutions enumerated in the   --
##  AUTHORS file. This file is located in the root directory of the          --
##  GNADE distribution.                                                      --
##                                                                           --
##  GNADE is free software;  you can redistribute it  and/or modify it under --
##  terms of the  GNU General Public License as published  by the Free Soft- --
##  ware  Foundation;  either version 2,  or (at your option) any later ver- --
##  sion.  GNAT is distributed in the hope that it will be useful, but WITH- --
##  OUT ANY WARRANTY;  without even the  implied warranty of MERCHANTABILITY --
##  or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License --
##  for  more details.  You should have  received  a copy of the GNU General --
##  Public License  distributed with GNAT;  see file COPYING.  If not, write --
##  to  the Free Software Foundation,  59 Temple Place - Suite 330,  Boston, --
##  MA 02111-1307, USA.                                                      --
##                                                                           --
##  As a special exception,  if other files  instantiate  generics from      --
##  GNADE Ada units, or you link GNADE Ada units or libraries with other     --
##  files  to produce an executable, these  units or libraries do not by     --
##  itself cause the resulting  executable  to  be covered  by the  GNU      --
##  General  Public  License.  This exception does not however invalidate    --
##  any other reasons why  the executable file  might be covered by the      --
##  GNU Public License.                                                      --
##                                                                           --
##  GNADE is implemented to work with GNAT, the GNU Ada compiler.            --
##                                                                           --
## ----------------------------------------------------------------------------
##
##  Functional Description
##  ======================
##  This makefile recursively visits subdirectories for the various GNADE
##  components and performs the make steps there.
##
##  All objects exported by this project are compiled in the source tree
##  and copied into the following export directories:
##
##   <arch>-bin    	- All executables
##   <arch>-lib    	- All libraries
##   <arch>-include	- All includes as for example *.ali, *.ads and *.adb
##			  files.
##   <arch>-doc	        - All documentation
##   <arch>-export	- All package exported by the project. The setup installer
##			  for windows and the rpm files will be stored here.
##   <arch>-libexec	- All tools which are called only from within GNADE
##   shared		- All objects to be installed by the end used localy.
##
##  The Makefile provides the following target:
##
##  make all       - makes the whole GNADE project including  the samples
##		     if configured.
##  make clean     - Removes all compilation product from the GNADE file
##		     tree but leaves the compilation results intact
##  make distclean - Removes all compilation results from the file tree and
##		     the common directories <platform>-bin/-include/...
##  make dist      - Create a distribution based on the information as it
##                   is stored in the VERSION file.
##
##  make createuser- Creates a data base user. This traget has been specified
##                   here, because for some data bases it has to be executed
##                   using a different user id.
##
##  make createdb  - Create the used database
##
##  The behaviour of the Makefiles depends on the parameter COMPLETE. If it is
##  set to any value, the makefiles called from the makefile are compiling 
##  only locally in the working directory and a make install needs to be issued
##  manually to copy the compilation results into the export directories.
##
##  If a make clean is done in one of the called makefiles, the compliation 
##  results are deleted from the export directories.
##
##  The sub makefiles have to process the following targets:
##
##    all build  - To Build the targets of the subproject
##    clean	 - Clean locally all compilation results including the results
##		   in the export directories. If the Variable EXPORT is set
##		   do not delete the results in the export files. 
##    install    - Copy the local compilation results into the export directories
##  
##
##
##
##  Note:
##    The sample database is only generated on systems, where the
##    one of the supported databases is available.
##
##  Restrictions
##  ============
##  None
##
##  References
##  ==========
##  None
##
.PHONY: clean reatedb createuser directories dist-Linux dist-binaries \
	dist-win32 dist distclean documentation install manual publish \
	remove-directories removedb removeuser shared-all shared-clean

sinclude make.conf

ifeq ($(GNADETARGET),)
ROOT=$(prefix)
else
ROOT=$(GNADETARGET)
endif

DISTNAME=gnade-src-$(VERSION)

##
## This line dfines the logging method
##
LOGFILE=build.log

ifneq ($(LOGFILE),)
logging=>>$(LOGFILE)
else
logging=
endif

##
## list of directories which are created by the makefile to export build
## results.
##
exportdirs=$(libdir) 	\
	$(includedir) 	\
	$(bindir) 	\
	$(docdir) 	\
	$(SHARED) 	\
	$(DBPATH) 	\
	$(libexec) 	\
	$(gnadeetcdir)	\
	$(exportdir)


## ############################################################################ ##
##  			Compile the GNADE sources                               ##
## ############################################################################ ##
all clean ::
ifeq ($(BUILDENV),)
	@echo "*** ERROR: run the configure script before trying to build GNADE"
	exit 1
endif
	$(MAKE) core-$@ $(logging)
	$(MAKE) odbc-$@ $(logging)
	$(MAKE) native-$@ $(logging)
	$(MAKE) samples-$@ $(logging)


clean ::
	-$(RM) $(LOGFILE)

##
## core components needed in any configuration
##
core-all core-clean:
	$(MAKE) -C./cfg $(subst core-,,$@)  Target=$(libexec) EXPORT=T
	$(MAKE) -C./etc $(subst core-,,$@)  EXPORT=T
	$(MAKE) -C./support EXPORT=T $(subst core-,,$@)
	$(MAKE) -C./bin     EXPORT=T $(subst core-,,$@)
##
## All odbc related and dependant parts of GNADE
##
odbc-all odbc-clean ::
ifneq ($(OPTODBC),) 
	$(MAKE) -C./dbi     BINDINGS=odbc EXPORT=T $(subst odbc-,,$@)
	$(MAKE) -C./esql    EXPORT=T $(subst odbc-,,$@)
	$(MAKE) -C./tools   EXPORT=T $(subst odbc-,,$@)
	$(MAKE) -C./samples SAMPLES="esql odbc" $(subst odbc-,,$@)
else
	@echo "ODBC Bindings not build"
endif

##
## All native database bindings except for odbc
##
native-all native-clean ::
ifneq ($(NATIVE_BINDINGS),)
	$(MAKE) -C./dbi BINDINGS="$(NATIVE_BINDINGS)" EXPORT=T $(subst native-,,$@)

else
	@echo "Native bindings are not build"
endif

##
## The samples
##
samples-all samples-clean :
	$(MAKE) -C./samples SAMPLES="$(NATIVE_SAMPLES)" $(subst samples-,,$@)

##
## Generate the configured basic project file for gnade
##
$(TARGET)gnade.gpr: gnade.gpp
	$(PREP) -s DMLINKEROPT="$(DMLINKEROPT)"  			\
		    NALINKEROPT="$(APP_LINK_FLAGS_NATIVE)"		\
		    ROOT=$(ROOT)	 				\
		    BUILDARCH=$(BUILDARCH)				\
		   gnade.gpp $(TARGET)gnade.gpr

all::
	$(MAKE) gnade.gpr

##
## Generate commonly resources
##
shared-all:
	$(CP) $(subst /,$(PATHSEP),./ide/gps/*.xml)   $(subst /,$(PATHSEP), $(SHARED))
	$(CP) $(subst /,$(PATHSEP),./doc/build/*.xml) $(subst /,$(PATHSEP), $(SHARED)) 
	$(MAKE) GNADETARGET=/usr/local/gnade TARGET=$(SHARED)/ \
		APP_LINK_FLAGS_NATIVE="-L$(SITE_LIBDIR) $(GNADE_LIBS)" \
		$(SHARED)/gnade.gpr 

shared-clean:

##
## create/delete the export directories
##
directories:
	-$(MKDIR) $(subst /,$(PATHSEP),$(exportdirs)) 2> configure.log

remove-directories:
	-$(RMDIR) $(subst /,$(PATHSEP),$(exportdirs)) 2>configure.log

##
## Create the documentation
##
documentation : $(DOCUMENT_PARTS)

manual:
	echo $(DOCUMENT_PARTS)
	$(MAKE) -C doc/build documentation
## ############################################################################ ##
## create a distribution package different operating system.                    ##
## ############################################################################ ##
dist :: all
	$(MAKE) dist-binaries
	$(MAKE) documentation
	$(MAKE) package

package :: 
	$(MAKE) package-$(BUILDENV)
	$(MAKE) package-clean-$(BUILDENV) 

# copy the binries into the lib 
dist-binaries:
	strip $(libexec)/prep$(bin) 
	strip $(wildcard $(bindir)/*$(bin))

## Build all packages which could be build by a GNU development environment
package-gnu: dist-tree $(foreach i,$(PACKAGE_TYPES),package-$i)

dist-tree: clean
	rm -rf $(DISTNAME)
	mkdir -p $(DISTNAME)
	mkdir -p $(DISTNAME)/doc
	mkdir -p $(DISTNAME)/doc/releasenotes
	tar cvf $(DISTNAME)/files.tar --files-from=MANIFEST
	( cd $(DISTNAME) && tar xvf files.tar && rm files.tar )	
	cp -a  ./doc/releasenotes/note_$(VERSION).html $(DISTNAME)/doc/releasenotes
	cp -a  $(docdir)/* $(DISTNAME)/doc

package-gzip:
	tar cvfz $(DISTNAME).tar.gz $(DISTNAME)
	mv $(DISTNAME).tar.gz $(exportdir)
	rm -rf $(DISTNAME)

package-zip:
	zip -r $(exportdir)/$(DISTNAME).zip $(DISTNAME)		

package-rpm:
	@echo "*** Execute the makefile in ./rpm as superuser ****" 

package-clean-gnu:
	$(RM) $(DISTNAME)

## Build a windows/dos distribution
package-win32: clean
	cmd /c "C:\Programme\Inno Setup 4\iscc" win32\gnade.iss >var/build.log
	$(CP) $(subst /,$(PATHSEP),Output/setup.exe $(exportdir)/setup-gnade-$(VERSION).exe)
	$(RMDIR) Output

package-clean-win32:

## ############################################################################ ##
## Create the test database 
## ############################################################################ ##
createdb createuser removeuser removedb:
	$(MAKE) -C./samples/sample_db DATABASE=$(DATABASE) $@

## ############################################################################ ##
## install the sofware in the system
## ############################################################################ ##
install :: shared-all 
	./bin/gnadeinst.sh --force

## ############################################################################ ##
## CLEANUP SECTION                                                              ##
## ############################################################################ ##

##
## clean up the  distribution
##
distclean :: clean clean-standalone
	$(MAKE) remove-directories
	$(RM) gnade.gpr
	$(RM) make.conf
	$(RM) gnade-*.*.tar.gz
	$(RM) gnade-*.*.zip
	$(RM) config.* *~ .configure configure.log
##
## Cleanup some subdirs but no all!
##
clean ::
ifeq ($(BUILDENV),gnu)
	$(MAKE) -C./autoconf $@
	$(MAKE) -C./pkg-config $@
	$(MAKE) -C./cfg $@
	$(MAKE) -C./bin $@
endif
##
## Perfom a local clean up
##
clean ::
	$(MAKE) -C./cfg clean
	$(RM) *~*~ *~

##
## clean out the standalone example. This example does not know anything
## about the operating system.
##
clean-standalone:
	$(RM) $(subst /,$(PATHSEP),samples/standalone/*.ali)
	$(RM) $(subst /,$(PATHSEP),samples/standalone/*.o)

=== autoconf/Makefile ===
## ----------------------------------------------------------------------------
##                                                                           --
##                      GNADE  : GNu Ada Database Environment                --
##                                                                           --
##  Filename        : $Source: /cvsroot/gnade/gnade/autoconf/Makefile,v $
##  Description     : Makefile to generate the config script 
##  Author          : Michael Erdmann <Michael.Erdmann@snafu.de> 
##  Created On      : 03-Jan-2001
##  Last Modified By: $Author: stephen_leake $
##  Last Modified On: $Date: 2004/04/21 01:53:34 $
##  Status          : $State: Exp $
##                                                                           --
##  Copyright (C) 2000-2001, 2004
##
##  GNADE is copyrighted by the persons and institutions enumerated in the   --
##  AUTHORS file. This file is located in the root directory of the          --
##  GNADE distribution.                                                      --
##                                                                           --
##  GNADE is free software;  you can redistribute it  and/or modify it under --
##  terms of the  GNU General Public License as published  by the Free Soft- --
##  ware  Foundation;  either version 2,  or (at your option) any later ver- --
##  sion.  GNAT is distributed in the hope that it will be useful, but WITH- --
##  OUT ANY WARRANTY;  without even the  implied warranty of MERCHANTABILITY --
##  or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License --
##  for  more details.  You should have  received  a copy of the GNU General --
##  Public License  distributed with GNAT;  see file COPYING.  If not, write --
##  to  the Free Software Foundation,  59 Temple Place - Suite 330,  Boston, --
##  MA 02111-1307, USA.                                                      --
##                                                                           --
##  As a special exception,  if other files  instantiate  generics from      --
##  GNADE Ada units, or you link GNADE Ada units or libraries with other     --
##  files  to produce an executable, these  units or libraries do not by     --
##  itself cause the resulting  executable  to  be covered  by the  GNU      --
##  General  Public  License.  This exception does not however invalidate    --
##  any other reasons why  the executable file  might be covered by the      --
##  GNU Public License.                                                      --
##                                                                           --
##  GNADE is implemented to work with GNAT, the GNU Ada compiler.            --
##                                                                           --
## ----------------------------------------------------------------------------
##
##  Functional Description
##  ======================
##  This makefile rebuild all configure script used to configure the 
##  GNADE package.
##
##  Restrictions
##  ============
##  None
##
##  References
##  ==========
##  None
##
all: configure 

configure: configure.in 
	autoconf
	rm -rf config.cache config.log  config.status 

clean distclean :
	rm -rf config.cache config.log  config.status make.conf *~ configure
	rm -rf autom4te.cache 

# end of file

=== bin/Makefile ===
## ----------------------------------------------------------------------------
##                                                                           --
##                      GNADE  : GNu Ada Database Environment                --
##                                                                           --
##  Filename        : $Source: /cvsroot/gnade/gnade/bin/Makefile,v $
##  Description     : The top level makefile of GNADE                        --
##  Author          : Michael Erdmann <Michael.Erdmann@snafu.de>             --
##  Created On      : 03-Jan-2001                                            --
##  Last Modified By: $Author: merdmann $                                    --
##  Last Modified On: $Date: 2005/02/27 19:27:25 $                           --
##  Status          : $State: Exp $                                          --
##                                                                           --
##  Copyright (C) 2000-2004                                                  --
##                                                                           --
##  GNADE is copyrighted by the persons and institutions enumerated in the   --
##  AUTHORS file. This file is located in the root directory of the          --
##  GNADE distribution.                                                      --
##                                                                           --
##  GNADE is free software;  you can redistribute it  and/or modify it under --
##  terms of the  GNU General Public License as published  by the Free Soft- --
##  ware  Foundation;  either version 2,  or (at your option) any later ver- --
##  sion.  GNAT is distributed in the hope that it will be useful, but WITH- --
##  OUT ANY WARRANTY;  without even the  implied warranty of MERCHANTABILITY --
##  or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License --
##  for  more details.  You should have  received  a copy of the GNU General --
##  Public License  distributed with GNAT;  see file COPYING.  If not, write --
##  to  the Free Software Foundation,  59 Temple Place - Suite 330,  Boston, --
##  MA 02111-1307, USA.                                                      --
##                                                                           --
##  As a special exception,  if other files  instantiate  generics from      --
##  GNADE Ada units, or you link GNADE Ada units or libraries with other     --
##  files  to produce an executable, these  units or libraries do not by     --
##  itself cause the resulting  executable  to  be covered  by the  GNU      --
##  General  Public  License.  This exception does not however invalidate    --
##  any other reasons why  the executable file  might be covered by the      --
##  GNU Public License.                                                      --
##                                                                           --
##  GNADE is implemented to work with GNAT, the GNU Ada compiler.            --
##                                                                           --
## ----------------------------------------------------------------------------
##
include ../make.conf

all::
	chmod +x *.sh

clean :: 
	$(RM) *~ *~*~

distclean :: clean
	$(RM) *.sh *.bat

=== cfg/Makefile ===
## ----------------------------------------------------------------------------
##                                                                           --
##  Filename        : $Source: /cvsroot/gnade/gnade/cfg/Makefile,v $
##  Description     : Makefile to compile the configure tool                 --
##  Author          : Michael Erdmann <Michael.Erdmann@snafu.de>             --
##  Created On      : 9.4.2002                                               --
##  Last Modified By: $Author: merdmann $                                    --
##  Last Modified On: $Date: 2004/05/12 15:02:31 $                           --
##  Version         : $Revision: 1.7 $
##  Status          : $State: Exp $
##                                                                           --
##  Copyright (C) 2004 Michael Erdmann                                       --
##                                                                           --
##  GNADE is copyrighted by the persons and institutions enumerated in the   --
##  AUTHORS file. This file is located in the root directory of the          --
##  GNADE distribution.                                                      --
##                                                                           --
##  GNADE is free software;  you can redistribute it  and/or modify it under --
##  terms of the  GNU General Public License as published  by the Free Soft- --
##  ware  Foundation;  either version 2,  or (at your option) any later ver- --
##  sion.  GNAT is distributed in the hope that it will be useful, but WITH- --
##  OUT ANY WARRANTY;  without even the  implied warranty of MERCHANTABILITY --
##  or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License --
##  for  more details.  You should have  received  a copy of the GNU General --
##  Public License  distributed with GNAT;  see file COPYING.  If not, write --
##  to  the Free Software Foundation,  59 Temple Place - Suite 330,  Boston, --
##  MA 02111-1307, USA.                                                      --
##                                                                           --
##  As a special exception,  if other files  instantiate  generics from      --
##  GNADE Ada units, or you link GNADE Ada units or libraries with other     --
##  files  to produce an executable, these  units or libraries do not by     --
##  itself cause the resulting  executable  to  be covered  by the  GNU      --
##  General  Public  License.  This exception does not however invalidate    --
##  any other reasons why  the executable file  might be covered by the      --
##  GNU Public License.                                                      --
##                                                                           --
##  This package is  implemented to work with GNAT, the GNU Ada compiler.    --
##                                                                           --
##  Contact                                                                  --
##  =======                                                                  --
##  Error reports shall be handled via http://gnade.sourceforge.net          --
##  Features and ideas via: gnade-develop@lists.sourceforge.net              --
##                                                                           --
##  Author contact:                                                          --
##               purl:/net/michael.erdmann                                   --
##                                                                           --
## ----------------------------------------------------------------------------
##
##  Functional Description
##  ======================
##  This makefile build the example code for the GNU ADO Interface.
##
##  Restrictions
##  ============
##  None
##
##  References
##  ==========
##  None
##
##
##
.PHONY: scripts	build

sinclude ../make.conf
#
binaries=$(foreach f,prep cfgset cfgget, $f$(bin))
##
##
##
all build :: $(binaries)

$(binaries) :: prep.adb cfgset.adb cfgget.adb
	$(ADAMAKE) -XTarget=$(libexec) -Pcfg.gpr

clean ::
	$(RM) b~* *~ *~*~ *.bak
	$(RM) $(binaries) *.ali *.o

distclean :: clean

=== contrib/Makefile ===
## ----------------------------------------------------------------------------
##                                                                           --
##                      GNADE  : GNu Ada Database Environment                --
##                                                                           --
##  Filename        : $Source: /cvsroot/gnade/gnade/contrib/Makefile,v $
##  Description     : Top level makefile for all contrib code
##  Author          : Michael Erdmann <Michael.Erdmann@snafu.de>
##  Created On      : 03-Jan-2001
##  Last Modified By: $Author: merdmann $
##  Last Modified On: $Date: 2002/06/09 14:55:07 $
##  Status          : $State: Exp $
## 
##  Copyright (C) 2000-2001
##
##  GNADE is copyrighted by the persons and institutions enumerated in the   --
##  AUTHORS file. This file is located in the root directory of the          --
##  GNADE distribution.                                                      --
##                                                                           --
##  GNADE is free software;  you can redistribute it  and/or modify it under --
##  terms of the  GNU General Public License as published  by the Free Soft- --
##  ware  Foundation;  either version 2,  or (at your option) any later ver- --
##  sion.  GNAT is distributed in the hope that it will be useful, but WITH- --
##  OUT ANY WARRANTY;  without even the  implied warranty of MERCHANTABILITY --
##  or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License --
##  for  more details.  You should have  received  a copy of the GNU General --
##  Public License  distributed with GNAT;  see file COPYING.  If not, write --
##  to  the Free Software Foundation,  59 Temple Place - Suite 330,  Boston, --
##  MA 02111-1307, USA.                                                      --
##                                                                           --
##  As a special exception,  if other files  instantiate  generics from      --
##  GNADE Ada units, or you link GNADE Ada units or libraries with other     --
##  files  to produce an executable, these  units or libraries do not by     --
##  itself cause the resulting  executable  to  be covered  by the  GNU      --
##  General  Public  License.  This exception does not however invalidate    --
##  any other reasons why  the executable file  might be covered by the      --
##  GNU Public License.                                                      --
##                                                                           --
##  GNADE is implemented to work with GNAT, the GNU Ada compiler.            --
##                                                                           --
## ----------------------------------------------------------------------------
##
##  Functional Description
##  ======================
##
##  This makefile visits all subdirectories of contributed code, which is
##  part of the standard installation.
##
##  Restrictions
##  ============
##
##  References
##  ==========
##
include ../make.conf
#

all clean distclean install ::
	for f in `cat packages` ; do (cd $$f && $(MAKE) $@) ; done


clean::
	rm -rf *~

distclean::  clean
	rm -rf *.gz *.zip

=== cygwin/Makefile ===
## ----------------------------------------------------------------------------
##                                                                           --
##  Filename        : $Source: /cvsroot/gnade/gnade/cygwin/Makefile,v $
##  Description     : Build RPMS from the distribution                       --
##  Author          : Michael Erdmann <Michael.Erdmann@snafu.de>             --
##  Created On      : 1-May-2002                                             --
##  Last Modified By: $Author: merdmann $                                    --
##  Last Modified On: $Date: 2004/04/25 15:00:31 $                           --
##  Version         : $Revision: 1.1 $
##  Status          : $State: Exp $
##                                                                           --
##  Copyright (C) 2002,2003                                                  --
##                                                                           --
##  GNADE is copyrighted by the persons and institutions enumerated in the   --
##  AUTHORS file. This file is located in the root directory of the          --
##  GNADE distribution.                                                      --
##                                                                           --
##  GNADE is free software;  you can redistribute it  and/or modify it under  --
##  terms of the  GNU General Public License as published  by the Free Soft- --
##  ware  Foundation;  either version 2,  or (at your option) any later ver- --
##  sion.  GNAT is distributed in the hope that it will be useful, but WITH- --
##  OUT ANY WARRANTY;  without even the  implied warranty of MERCHANTABILITY --
##  or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License --
##  for  more details.  You should have  received  a copy of the GNU General --
##  Public License  distributed with GNAT;  see file COPYING.  If not, write --
##  to  the Free Software Foundation,  59 Temple Place - Suite 330,  Boston, --
##  MA 02111-1307, USA.                                                      --
##                                                                           --
##  As a special exception,  if other files  instantiate  generics from      --
##  GNADE Ada units, or you link GNADE Ada units or libraries with other       --
##  files  to produce an executable, these  units or libraries do not by     --
##  itself cause the resulting  executable  to  be covered  by the  GNU      --
##  General  Public  License.  This exception does not however invalidate    --
##  any other reasons why  the executable file  might be covered by the      --
##  GNU Public License.                                                      --
##                                                                           --
##  This package is  implemented to work with GNAT, the GNU Ada compiler.    --
##                                                                           --
##  Contact                                                                  --
##  =======                                                                  --
##  Error reports shall be handled via http://gnade.sourceforge.net          --
##  Features and ideas via: gnade-develop@lists.sourceforge.net              --
##                                                                           --
##  Author contact:                                                          --
##               purl:/net/michael.erdmann                                   --
##                                                                           --
## ----------------------------------------------------------------------------
##
##  Functional Description
##  ======================
##
##  Restrictions
##  ============
##  None
##
##  References
##  ==========
##  None
##
## 
##  
include ../make.conf

DIST=$(exportdir)/gnade-src-$(VERSION).tar.gz

M4FLAGS= --define=VERSION=$(VERSION) \
	 --define=NATIVE_BINDINGS="$(NATIVE_BINDINGS)" \
	 --define=BUILD=`cat .version` 
##
## Per default do nothing
##

##
## Build the rpms
##
package: version
	tar xvf $(DIST)
	m4 $(M4FLAGS) gnade.m4 > gnade.spec
	( export PATH=/usr/local/bin:/usr/gnat/bin:$$PATH && \
	  rpmbuild -b$(STAGE) --target=$(ARCH) gnade.spec ) >build.log 2>build.error

##
## count the build number up each time we make an rpm
##
version:
	@if [ ! -f .version ] ; \
	   then echo 1 > .version ; \
	   else  expr 0`cat .version` + 1 > .version ; \
        fi
	@echo "Package Build : " `cat .version` 
##
##
##
dep:

##
## Cleanup
##
clean:
	rm -rf *~ *~*~ setup.hint *.log

distclean: clean
	rm .version

publish:
	ncftpput upload.sourceforge.net /incoming $(exportdir)/gnade-$(VERSION)-*.src.rpm
	ncftpput upload.sourceforge.net /incoming $(exportdir)/gnade-$(VERSION)-*.i686.rpm

=== dbi/Makefile ===
## ----------------------------------------------------------------------------
##                                                                           --
##                      GNADE  : GNu Ada Database Environment                --
##                                                                           --
##  Filename        : $Source: /cvsroot/gnade/gnade/dbi/Makefile,v $
##  Description     : Top level makefile for the various interfaces
##  Author          : Juergen Pfeifer <juergen.pfeifer@gmx.net> 
##  Created On      : 03-Jan-2001
##  Last Modified By: $Author: merdmann $
##  Last Modified On: $Date: 2004/05/29 13:01:31 $
##  Status          : $State: Exp $
## 
##  Copyright (C) 2000-2004
##
##  GNADE is copyrighted by the persons and institutions enumerated in the   --
##  AUTHORS file. This file is located in the root directory of the          --
##  GNADE distribution.                                                      --
##                                                                           --
##  GNADE is free software;  you can redistribute it  and/or modify it under --
##  terms of the  GNU General Public License as published  by the Free Soft- --
##  ware  Foundation;  either version 2,  or (at your option) any later ver- --
##  sion.  GNAT is distributed in the hope that it will be useful, but WITH- --
##  OUT ANY WARRANTY;  without even the  implied warranty of MERCHANTABILITY --
##  or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License --
##  for  more details.  You should have  received  a copy of the GNU General --
##  Public License  distributed with GNAT;  see file COPYING.  If not, write --
##  to  the Free Software Foundation,  59 Temple Place - Suite 330,  Boston, --
##  MA 02111-1307, USA.                                                      --
##                                                                           --
##  As a special exception,  if other files  instantiate  generics from      --
##  GNADE Ada units, or you link GNADE Ada units or libraries with other     --
##  files  to produce an executable, these  units or libraries do not by     --
##  itself cause the resulting  executable  to  be covered  by the  GNU      --
##  General  Public  License.  This exception does not however invalidate    --
##  any other reasons why  the executable file  might be covered by the      --
##  GNU Public License.                                                      --
##                                                                           --
##  GNADE is implemented to work with GNAT, the GNU Ada compiler.            --
##                                                                           --
## ----------------------------------------------------------------------------
##
##  Functional Description
##  ======================
##  This makefile recursively visits subdirectories with various DB interfaces
##  and performs the make steps there.
##
##  Restrictions
##  ============
##
##  References
##  ==========
##
include ../make.conf
#
.PHONY: odbc mysql postgres sqlite oci 

all  :: $(BINDINGS)

$(BINDINGS):
	$(MAKE) -C./$@ EXPORT=$(EXPORT)

distclean clean:
	$(MAKE) -C./odbc $@
	$(MAKE) -C./mysql $@
	$(MAKE) -C./postgres $@
	$(MAKE) -C./sqlite $@
	$(MAKE) -C./oci $@

=== esql/Makefile ===
## ----------------------------------------------------------------------------
##                                                                           --
##                      GNADE  : GNu Ada Database Environment                --
##
##  Filename        : $Source: /cvsroot/gnade/gnade/esql/Makefile,v $
##  Description     : Makefile for the ESQL Translator
##  Author          : Michael Erdmann
##  Created On      : 22-Dec-2000
##  Last Modified By: $Author: persan $
##  Last Modified On: $Date: 2007/08/27 05:20:30 $
##  Status          : $State: Exp $
##
##  Copyright (C) 2000-2002, 2004
##
##  GNADE is free software;  you can redistribute it  and/or modify it under --
##  terms of the  GNU General Public License as published  by the Free Soft- --
##  ware  Foundation;  either version 2,  or (at your option) any later ver- --
##  sion.  GNAT is distributed in the hope that it will be useful, but WITH- --
##  OUT ANY WARRANTY;  without even the  implied warranty of MERCHANTABILITY --
##  or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License --
##  for  more details.  You should have  received  a copy of the GNU General --
##  Public License  distributed with GNAT;  see file COPYING.  If not, write --
##  to  the Free Software Foundation,  59 Temple Place - Suite 330,  Boston, --
##  MA 02111-1307, USA.                                                      --
##                                                                           --
##  As a special exception,  if other files  instantiate  generics from      --
##  GNADE Ada units, or you link GNADE Ada units or libraries with other     --
##  files  to produce an executable, these  units or libraries do not by     --
##  itself cause the resulting  executable  to  be covered  by the  GNU      --
##  General  Public  License.  This exception does not however invalidate    --
##  any other reasons why  the executable file  might be covered by the      --
##  GNU Public License.                                                      --
##                                                                           --
##  GNADE is implemented to work with GNAT, the GNU Ada compiler.            --
##                                                                           --
## ----------------------------------------------------------------------------
##
##  Functional Description
##  ======================
##  This makefile builds the esql translator and exports the support components
##  for the esql translator.
##
##  Restrictions
##  ============
##  None
##
##  References
##  ==========
##  None
##
sinclude ../make.conf

ADAFLAGS = $(DEBUGFLAGS) -gnatf

targetdir=$(subst /,$(PATHSEP),$(bindir))
gesql=gesql$(bin)
binaries=$(gesql)

all dist build: support $(binaries)
ifneq ($(EXPORT),)
	$(MAKE) install
endif

##
##  GESQL - GNU EMBEDDED SQL
##
gesql$(bin) :: gesql.adb esql.gpr   \
	scanner.adb scanner.ads 		\
	driver.adb driver.ads 			\
	esql_parser.ads esql_parser.adb 	\
	esql_variables.ads esql_variables.adb	\
	options.ads				\
	gnu-db-esql_iso92_types.ads
	gnatmake $(ADAFLAGS) -Pesql.gpr

##
## Build the embedded SQL translator
##
gesql.adb: gesql.gpb ../VERSION
	$(ADAPREP) -DVersion=\"$(VERSION)\" gesql.gpb gesql.adb

##
## Support Library
##
libname=libgnadeesql

support ::
	$(ADAMAKE) $(ADAFLAGS) -p -d -Pgnade-esql.gpr

##
##  Install with the GNADE package the translator and its support packages
##
install:
	$(ADAINSTALL) $(includedir) $(wildcard sql_standard.* gnu-*.ali gnu-*.ad* )
	$(MKSTATIC)  $(libdir) $(libname).a
	$(MKSHARED)  $(libdir) $(MINOR) $(MAJOR) $(libname).so
	$(CP) $(gesql) $(targetdir)

##
## distclean
##
clean ::
ifeq ($(EXPORT),)
	$(ADAUINSTALL) $(includedir) $(wildcard sql_standard.* gnu-*.ali gnu-*.ad* gnu-*.o )
endif

	$(RM) *.o *.ali core esql gesql.adb $(binaries) *~ *.bak b~*

=== ide/Makefile ===
## ----------------------------------------------------------------------------
##                                                                           --
##  Filename        : $Source: /cvsroot/gnade/gnade/ide/Makefile,v $
##  Description     : IDE components                                         --
##  Author          : Michael Erdmann <Michael.Erdmann@snafu.de>             --
##  Created On      : 1-May-2002                                             --
##  Last Modified By: $Author: merdmann $                                    --
##  Last Modified On: $Date: 2004/04/28 05:00:03 $                           --
##  Version         : $Revision: 1.1 $
##  Status          : $State: Exp $
##                                                                           --
##  Copyright (C) 2002,2003                                                  --
##                                                                           --
##  GNADE is copyrighted by the persons and institutions enumerated in the   --
##  AUTHORS file. This file is located in the root directory of the          --
##  GNADE distribution.                                                      --
##                                                                           --
##  GNADE is free software;  you can redistribute it  and/or modify it under  --
##  terms of the  GNU General Public License as published  by the Free Soft- --
##  ware  Foundation;  either version 2,  or (at your option) any later ver- --
##  sion.  GNAT is distributed in the hope that it will be useful, but WITH- --
##  OUT ANY WARRANTY;  without even the  implied warranty of MERCHANTABILITY --
##  or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License --
##  for  more details.  You should have  received  a copy of the GNU General --
##  Public License  distributed with GNAT;  see file COPYING.  If not, write --
##  to  the Free Software Foundation,  59 Temple Place - Suite 330,  Boston, --
##  MA 02111-1307, USA.                                                      --
##                                                                           --
##  As a special exception,  if other files  instantiate  generics from      --
##  GNADE Ada units, or you link GNADE Ada units or libraries with other       --
##  files  to produce an executable, these  units or libraries do not by     --
##  itself cause the resulting  executable  to  be covered  by the  GNU      --
##  General  Public  License.  This exception does not however invalidate    --
##  any other reasons why  the executable file  might be covered by the      --
##  GNU Public License.                                                      --
##                                                                           --
##  This package is  implemented to work with GNAT, the GNU Ada compiler.    --
##                                                                           --
##  Contact                                                                  --
##  =======                                                                  --
##  Error reports shall be handled via http://gnade.sourceforge.net          --
##  Features and ideas via: gnade-develop@lists.sourceforge.net              --
##                                                                           --
##  Author contact:                                                          --
##               purl:/net/michael.erdmann                                   --
##                                                                           --
## ----------------------------------------------------------------------------
##
##  Functional Description
##  ======================
##
##  Restrictions
##  ============
##  None
##
##  References
##  ==========
##  None
##
## 
##  
include ../make.conf

## list of all supported ide's
components=gps

##
current=$(firstword $(components) )

all clean distclean::
ifneq ($(current),)
	$(MAKE) -C./$(current)  components=$(filter-out $(current),$(components)) $@
endif 

##
## Cleanup
##
clean::
	rm -rf *~ *~*~

distclean:: clean

=== pkg-config/Makefile ===
## ----------------------------------------------------------------------------
##                                                                           --
##                      GNADE  : GNu Ada Database Environment                --
##                                                                           --
##  Filename        : $Source: /cvsroot/gnade/gnade/pkg-config/Makefile,v $
##  Description     : Makefile for the pkg-config file
##  Author          : Michael Erdmann
##  Created On      : 27-Sep-2002
##  Last Modified By: $Author: merdmann $
##  Last Modified On: $Date: 2002/10/02 04:39:42 $                           --
##  Status          : $State: Exp $                                          --
##                                                                           --
##  Copyright (C) 2000-2002                                                  --
##                                                                           --
##  GNADE is copyrighted by the persons and institutions enumerated in the   --
##  AUTHORS file. This file is located in the root directory of the          --
##  GNADE distribution.                                                      --
##                                                                           --
##  GNADE is free software;  you can redistribute it  and/or modify it under --
##  terms of the  GNU General Public License as published  by the Free Soft- --
##  ware  Foundation;  either version 2,  or (at your option) any later ver- --
##  sion.  GNAT is distributed in the hope that it will be useful, but WITH- --
##  OUT ANY WARRANTY;  without even the  implied warranty of MERCHANTABILITY --
##  or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License --
##  for  more details.  You should have  received  a copy of the GNU General --
##  Public License  distributed with GNAT;  see file COPYING.  If not, write --
##  to  the Free Software Foundation,  59 Temple Place - Suite 330,  Boston, --
##  MA 02111-1307, USA.                                                      --
##                                                                           --
##  As a special exception,  if other files  instantiate  generics from      --
##  GNADE Ada units, or you link GNADE Ada units or libraries with other     --
##  files  to produce an executable, these  units or libraries do not by     --
##  itself cause the resulting  executable  to  be covered  by the  GNU      --
##  General  Public  License.  This exception does not however invalidate    --
##  any other reasons why  the executable file  might be covered by the      --
##  GNU Public License.                                                      --
##                                                                           --
##  GNADE is implemented to work with GNAT, the GNU Ada compiler.            --
##                                                                           --
## ----------------------------------------------------------------------------
##
##  Functional Description
##  ======================
##
##  Restrictions
##  ============
##  None
##
##  References
##  ==========
##  Non
##
sinclude conf.local
sinclude ../make.conf
#
all:

##
##
##
clean:
	rm -rf *~

##
## Install the *.pc file
##
install:

##
## Clean up the local directory
##
distclean : clean
	rm -rf  gnade.pc

=== rpm/Makefile ===
## ----------------------------------------------------------------------------
##                                                                           --
##  Filename        : $Source: /cvsroot/gnade/gnade/rpm/Makefile,v $
##  Description     : Build RPMS from the distribution                       --
##  Author          : Michael Erdmann <Michael.Erdmann@snafu.de>             --
##  Created On      : 1-May-2002                                             --
##  Last Modified By: $Author: merdmann $                                    --
##  Last Modified On: $Date: 2004/04/03 20:07:05 $                           --
##  Version         : $Revision: 1.13 $
##  Status          : $State: Exp $
##                                                                           --
##  Copyright (C) 2002,2003                                                  --
##                                                                           --
##  GNADE is copyrighted by the persons and institutions enumerated in the   --
##  AUTHORS file. This file is located in the root directory of the          --
##  GNADE distribution.                                                      --
##                                                                           --
##  GNADE is free software;  you can redistribute it  and/or modify it under  --
##  terms of the  GNU General Public License as published  by the Free Soft- --
##  ware  Foundation;  either version 2,  or (at your option) any later ver- --
##  sion.  GNAT is distributed in the hope that it will be useful, but WITH- --
##  OUT ANY WARRANTY;  without even the  implied warranty of MERCHANTABILITY --
##  or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License --
##  for  more details.  You should have  received  a copy of the GNU General --
##  Public License  distributed with GNAT;  see file COPYING.  If not, write --
##  to  the Free Software Foundation,  59 Temple Place - Suite 330,  Boston, --
##  MA 02111-1307, USA.                                                      --
##                                                                           --
##  As a special exception,  if other files  instantiate  generics from      --
##  GNADE Ada units, or you link GNADE Ada units or libraries with other       --
##  files  to produce an executable, these  units or libraries do not by     --
##  itself cause the resulting  executable  to  be covered  by the  GNU      --
##  General  Public  License.  This exception does not however invalidate    --
##  any other reasons why  the executable file  might be covered by the      --
##  GNU Public License.                                                      --
##                                                                           --
##  This package is  implemented to work with GNAT, the GNU Ada compiler.    --
##                                                                           --
##  Contact                                                                  --
##  =======                                                                  --
##  Error reports shall be handled via http://gnade.sourceforge.net          --
##  Features and ideas via: gnade-develop@lists.sourceforge.net              --
##                                                                           --
##  Author contact:                                                          --
##               purl:/net/michael.erdmann                                   --
##                                                                           --
## ----------------------------------------------------------------------------
##
##  Functional Description
##  ======================
##
##  Restrictions
##  ============
##  None
##
##  References
##  ==========
##  None
##
## 
##  
include ../make.conf

DIST=$(exportdir)/gnade-src-$(VERSION).tar.gz
STAGE=a
##
## Where the RPM is loacted on your system. You may have to adopt this 
## to your system.
##
RPM=/usr/src/packages

RPMSRC=$(RPM)/SOURCES/gnade.tar.gz
RPMS=$(RPM)/RPMS/$(ARCH)
SRPMS=$(RPM)/SRPMS

M4FLAGS= --define=VERSION=$(VERSION) \
	 --define=NATIVE_BINDINGS="$(NATIVE_BINDINGS)" \
	 --define=BUILD=`cat .version` 
##
## Per default do nothing
##
all:

##
## In case of a distribution we build the list of files to be included.
##
dist:
	@if test `id -g` = "0" ; then \
	   $(MAKE) rpm ;\
	else		\
	   echo "*** Warining, RPM needs to be build as user root, step skiped ****" ; \
	fi

##
## Build the rpms
##
rpm:	$(RPMSRC)
	rm -rf *.rpm
	m4 $(M4FLAGS) gnade.m4 > gnade.spec
	( export PATH=/usr/local/bin:/usr/gnat/bin:$$PATH && \
	  rpmbuild -b$(STAGE) --target=$(ARCH) gnade.spec ) >build.log 2>build.error
	mv $(RPMS)/gnade-$(VERSION)*.rpm $(exportdir)
	mv $(SRPMS)/gnade-$(VERSION)*.rpm $(exportdir)

$(RPMSRC): $(DIST) version
	cp $(DIST) $(RPMSRC)

##$(RPMFILES):
##	(cd .. &&  $(RPMLIST) )

##
## count the build number up each time we make an rpm
##
version:
	@if [ ! -f .version ] ; \
	   then echo 1 > .version ; \
	   else  expr 0`cat .version` + 1 > .version ; \
        fi
	@echo "RPM Build : " `cat .version` 
##
##
##
dep:

##
## Cleanup
##
clean:
	rm -rf *~ *~*~ gnade.spec *.log

distclean: clean
	rm -rf $(RPMFILES)
	rm -rf $(expordir) *.rpm
	rm .version

publish:
	ncftpput upload.sourceforge.net /incoming $(exportdir)/gnade-$(VERSION)-*.src.rpm
	ncftpput upload.sourceforge.net /incoming $(exportdir)/gnade-$(VERSION)-*.i686.rpm

=== samples/Makefile ===
## ----------------------------------------------------------------------------
##                                                                           --
##                      GNADE  : GNu Ada Database Environment                --
##                                                                           --
##  Filename        : $Source: /cvsroot/gnade/gnade/samples/Makefile,v $
##  Description     : Top level makefile for the various examples
##  Author          : Juergen Pfeifer <juergen.pfeifer@gmx.net> 
##  Created On      : 03-Jan-2001
##  Last Modified By: $Author: merdmann $
##  Last Modified On: $Date: 2004/05/30 16:51:58 $
##  Status          : $State: Exp $
##
##  Copyright (C) 2000-2004
##
##  GNADE is copyrighted by the persons and institutions enumerated in the   --
##  AUTHORS file. This file is located in the root directory of the          --
##  GNADE distribution.                                                      --
##                                                                           --
##  GNADE is free software;  you can redistribute it  and/or modify it under --
##  terms of the  GNU General Public License as published  by the Free Soft- --
##  ware  Foundation;  either version 2,  or (at your option) any later ver- --
##  sion.  GNAT is distributed in the hope that it will be useful, but WITH- --
##  OUT ANY WARRANTY;  without even the  implied warranty of MERCHANTABILITY --
##  or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License --
##  for  more details.  You should have  received  a copy of the GNU General --
##  Public License  distributed with GNAT;  see file COPYING.  If not, write --
##  to  the Free Software Foundation,  59 Temple Place - Suite 330,  Boston, --
##  MA 02111-1307, USA.                                                      --
##                                                                           --
##  As a special exception,  if other files  instantiate  generics from      --
##  GNADE Ada units, or you link GNADE Ada units or libraries with other     --
##  files  to produce an executable, these  units or libraries do not by     --
##  itself cause the resulting  executable  to  be covered  by the  GNU      --
##  General  Public  License.  This exception does not however invalidate    --
##  any other reasons why  the executable file  might be covered by the      --
##  GNU Public License.                                                      --
##                                                                           --
##  GNADE is implemented to work with GNAT, the GNU Ada compiler.            --
##                                                                           --
## ----------------------------------------------------------------------------
##
##  Functional Description
##  ======================
##  This makefile recursively visits subdirectories with various samples
##  and performs the make steps there.
##
##  If a data base is given, the data base specific programs are 
##  expected to be stared under <database_name>. If no data base 
##  has been specified in the configure command the code is not 
##  compiled.
##
##  The scripts the generate the  sample data base which is the same for 
##  all examples is expected under sample_db.
##
##  Restrictions
##  ============
##  None
##
##  References
##  ==========
##  Non
##
.PHONY: mysql oci postgres sqlite odbc esql

include ../make.conf
SAMPLES=$(NATIVE_BINDINGS)

all ::	$(foreach i,$(SAMPLES), $i-all)

clean::	$(foreach i,$(SAMPLES), $i-clean)

distclean:: $(foreach i,$(SAMPLES), $i-distclean)

$(foreach i,$(SAMPLES), $i-all):
	$(MAKE) -C./$(subst -all,,$@) all

$(foreach i,$(SAMPLES), $i-clean):
	$(MAKE) -C./$(subst -clean,,$@) clean

$(foreach i,$(SAMPLES), $i-distclean):
	$(MAKE) -C./$(subst -distclean,,$@) distclean


#distclean clean ::
#	$(MAKE) -C./adbc $@
#	$(MAKE) -C./oci $@
#	$(MAKE) -C./postgres $@
#	$(MAKE) -C./mysql $@
#	$(MAKE) -C./sqlite $@
#	$(MAKE) -C./odbc $@
#	$(MAKE) -C./esql $@	  
#	$(MAKE) -C./sample_db $@

=== debian/changelog ===
gnade (1.6.2-9) unstable; urgency=low

  * upgrade to build with gnat-4.6; bump aliversion

 -- Stephen Leake <stephen_leake@stephe-leake.org>  Sun, 17 Jul 2011 15:00:59 -0400

gnade (1.6.2-8) unstable; urgency=low

  * debian/source/format: New file; change to 3.0 (quilt)

  * debian/patches/*.patch: document according to DEP-3

  * debian/compat: bump to 7

  * debian/copyright (Format-Specification): use dep5 format.

  * debian/rules: improve build instructions, drop quilt rules

  * debian/test_installed.sh: do sudo on install steps
  
 -- Stephen Leake <stephen_leake@stephe-leake.org>  Wed, 30 Jun 2010 04:54:55 -0400

gnade (1.6.2-7) unstable; urgency=low

  * debian/control (DM-Upload-Allowed): yes, not true.
    (Standards-Version): bump to 3.8.4 with no changes required.
    (*): add ${misc:Depends} everywhere, per lintian.
    (Uploaders): remove myself, Stephe taking over now.

 -- Ludovic Brenta <lbrenta@debian.org>  Sat,  5 Jun 2010 22:20:25 +0200

gnade (1.6.2-6) unstable; urgency=low

  * debian/control (DM-Upload-Allowed): true.
    (Architecture): add armel to all packages.  Closes: #568436.
    Comply with Fifth Edition of the Debian Policy for Ada:
    (*-dev): depend on gnat and ada-compiler in addition to gnat-4.4.
    (*-dbg): suggest gnat, ada-compiler to be more visible in aptitude.

 -- Ludovic Brenta <lbrenta@debian.org>  Sat,  5 Jun 2010 21:42:29 +0200

gnade (1.6.2-5) unstable; urgency=low

  * debian/gnade_{common,odbc,sqlite3}_ref.gpr: delete -fstack-check from
    compiler options; broken in gcc 4.4. Closes: #558980

  * debian/rules: get soversion, aliversion from debian/control

  * debian/gnade_{odbc, sqlite3}_example_installed.gpr: new, used in
    running demos with installed packages.

 -- Stephen Leake <stephen_leake@stephe-leake.org>  Mon, 14 Dec 2009 17:02:46 -0500

gnade (1.6.2-4) unstable; urgency=low

  * debian/gnade_{common,odbc,sqlite3}_ref.gpr: add Library_ALI_Dir;
    fixes weird FTBFS on i386.  Necessary anyway since the libraries
    are not in the same place as the .ali files.
  * debian/control (Architectures): temporarily disable alpha due to
    http://gcc.gnu.org/PR42073.

 -- Ludovic Brenta <lbrenta@debian.org>  Tue, 17 Nov 2009 00:09:10 +0100

gnade (1.6.2-3) unstable; urgency=low

  * debian/rules: Install source, ali files in correct directories
    according to Debian Ada Policy. Install examples.

  * debian/odbc.gpr: renamed to debian/gnadeodbc.gpr, refer to correct
    directories

  * debian/sqlite3.gpr: renamed to debian/gnadesqlite3.gpr, refer to
    correct directories

  * debian/gnadecommon.gpr: new

  * debian/compat: change to 6.

  * debian/test_installed.sh: New file, for running examples against
    installed packages.

 -- Stephen Leake <stephen_leake@stephe-leake.org>  Thu, 05 Nov 2009 06:14:01 -0500

gnade (1.6.2-2) unstable; urgency=low

  [Stephen Leake]
  * Change -dev package names to reflect the change in .ali files (see
    extensive discussion at
    http://people.debian.org/~lbrenta/debian-ada-policy.html):
    - libgnadeodbc-dev -> libgnadeodbc1-dev
    - libgnadesqlite-dev -> libgnadesqlite3-1-dev

  * Change sonames and package names for shared libraries:
    - libgnadeodbc.so.1.6.2 -> libgnadeodbc.so.2
    - libgnadesqlite.so.1.6.2 -> libgnadesqlite3.so.2 (we are linking to
      libsqlite3, not libsqlite).

  * New packages:
    - libgnadecommon1-dev, libgnadecommon1, libgnadecommon-dbg: factorize
      code shared by the ODBC and SQLite3 bindings.

  * Deleted packages:
    - libgnademysql{1.6.2,-dev,-dbg}: clearly broken.
    - libgnadepostgresql{1.6.2,,-dev,-dbg}: uses questionable C import
      techniques.
    - gnade-bin: the embedded SQL preprocessor was clearly broken.

  * debian/control (Build-Depends): delete libmysqlclient; add quilt.
    (Architecture): add kfreebsd-amd64.  Closes: #542413.
    (libgnadeodbc1-dev, libgnadesqlite3-1-dev): depend on libgnadecommon1-dev.

  * debian/rules:
    - ensure dbi/sqlite3 source is used
    - add patch, unpatch targets
    - delete mysql, postgresql, gesql
    - add check target; run gnade demos

  * patches/bug-538643.patch: new.  In *Binding, check size of object,
    not size of type. Closes: #538643.
  * patches/demo_warnings.patch: new.

  [Ludovic Brenta]
  * debian/control (Vcs-Mtn, Vcs-Browse): new.
    (Maintainer): new maintainer Stephen Leake.  Closes: #496787.
    (Uploaders): add myself as the sponsor.
    (*): switch to gnat-4.4.
    (*-dev): ensure Conflicts: and Replaces: with superseded packages.
    Suggest the -dbg packages.

 -- Stephen Leake <stephen_leake@stephe-leake.org>  Thu, 22 Oct 2009 22:19:46 +0200

gnade (1.6.2-1.1) unstable; urgency=low

  * NMU per release team's encouragement.
  * debian/control (Build-Depends, libgnademysql-dev): list unversioned
    libmysqlclient-dev rather than libmysqlclient15-dev.  (Closes: #538522.)
    (gnade-bin, libgnade*-{dev,dbg}): correct ${source:Version} to
    ${binary:Version} as needed to ensure binNMU-safety, and generally
    correct -dbg packages' metadata (extraneous dependencies cleaned up,
    section changed to debug).  (Closes: #542325.)

 -- Aaron M. Ucko <ucko@debian.org>  Tue, 01 Sep 2009 20:59:02 -0400

gnade (1.6.2-1) unstable; urgency=low

  * Migrate to gnat-4.3; change the sonames to *.1.6.2.
  * New upstream version from CVS.  Closes: #471619.
  * debian/control (Architectures): add mips, mipsel and ppc64.
    (Standards-Version): update to 3.8.0.
  * patches/*: remove, no longer necessary.  Do not b-d on quilt anymore.
  * Introduce -dbg packages for all interfaces (ODBC, MySQL, PostgreSQL
    and SQLite).

 -- Ludovic Brenta <lbrenta@debian.org>  Sun, 20 Jul 2008 22:19:46 +0200

gnade (1.6.1-2) unstable; urgency=low

  * Install the preprocessed source files in libgnadeodbc-dev.

 -- Ludovic Brenta <lbrenta@debian.org>  Wed, 17 Oct 2007 16:10:27 +0200

gnade (1.6.1-1) unstable; urgency=low

  * Acknowledge NMU.  Thanks, Luk. Closes: #362979, #356760.


=== debian/control ===
Source: gnade
Section: libs
Priority: optional
Maintainer: Stephen Leake <stephen_leake@stephe-leake.org>
DM-Upload-Allowed: yes
# sqlite3, libsqlite3-dev are used to test the sqlite3 interface
Build-Depends: debhelper (>= 7.2.4), gnat-4.6, unixodbc-dev, libsqlite3-dev
Standards-Version: 3.9.2
XS-Vcs-Mtn: www.ada-france.org org.debian.gnade
XS-Vcs-Browser: http://www.ada-france.org:8081/branch/changes/org.debian.gnade

# lib*-dev integer is aliversion
# lib integer is soversion
# when change aliversion, also need to change:
#    gnadecommon2-dev.README.Debian filename
Package: libgnadecommon2-dev
Architecture: any
Section: libdevel
Depends: gnat, gnat-4.6, ada-compiler,
 libgnadecommon1 (= ${binary:Version}), ${misc:Depends}
Suggests: libgnadecommon-dbg
Description: GNat Ada Database Environment - subprograms common to other GNADE packages
 GNADE is a complete database development environment for Ada
 programmers.  It consists of:
 .
 a. A Thin binding to the ODBC API.  With this API, you can write
 programs that query any ODBC-compliant database server.
 .
 b. A thin binding to SQLite3.
 .
 This package contains the development files and static library for the
 common subprograms.

Package: libgnadecommon-dbg
Priority: extra
Architecture: any
Section: debug
Depends: libgnadecommon1 (= ${binary:Version}), ${misc:Depends}
Suggests: gnat, ada-compiler
Description: GNat Ada Database Environment - common debugging symbols
 GNADE is a complete database development environment for Ada
 programmers.  It consists of:
 .
 a. A Thin binding to the ODBC API.  With this API, you can write
 programs that query any ODBC-compliant database server.
 .
 b. A thin binding to SQLite3.
 .
 This package contains the debugging symbols for the common library.

Package: libgnadecommon1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: GNat Ada Database Environment - common subprograms library
 GNADE is a complete database development environment for Ada
 programmers.  It consists of:
 .
 a. A Thin binding to the ODBC API.  With this API, you can write
 programs that query any ODBC-compliant database server.
 .
 b. A thin binding to SQLite3.
 .
 This package contains the shared library for the common subprograms.

Package: libgnadeodbc2-dev
Architecture: any
Section: libdevel
Depends: gnat, gnat-4.6, ada-compiler,
 libgnadecommon2-dev (= ${binary:Version}), unixodbc (>= 2.2.11-16),
 libgnadeodbc2 (= ${binary:Version}), ${misc:Depends}
Suggests: libgnadesqlite3-2-dev, libgnadeodbc-dbg
Conflicts: gnade-dev, libgnadeodbc-dev
Replaces: libgnadeodbc-dev
Description: GNat Ada Database Environment - ODBC programming interface
 GNADE is a complete database development environment for Ada
 programmers.  It consists of:
 .
 a. A Thin binding to the ODBC API.  With this API, you can write
 programs that query any ODBC-compliant database server.
 .
 b. A thin binding to SQLite3.
 .
 This package contains the development files and static library for the
 ODBC interface.

Package: libgnadeodbc-dbg
Priority: extra
Architecture: any
Section: debug
Depends: libgnadeodbc2 (= ${binary:Version}), ${misc:Depends}
Suggests: gnat, ada-compiler
Description: GNat Ada Database Environment - ODBC debugging symbols
 GNADE is a complete database development environment for Ada
 programmers.  It consists of:
 .
 a. A Thin binding to the ODBC API.  With this API, you can write
 programs that query any ODBC-compliant database server.
 .
 b. A thin binding to SQLite3.
 .
 This package contains the debugging symbols for the ODBC interface.

Package: libgnadeodbc2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: GNat Ada Database Environment - ODBC interface
 GNADE is a complete database development environment for Ada
 programmers.  It consists of:
 .
 a. A Thin binding to the ODBC API.  With this API, you can write
 programs that query any ODBC-compliant database server.
 .
 b. A thin binding to SQLite3.
 .
 This package contains the shared library for the ODBC interface.

Package: libgnadesqlite3-2-dev
Architecture: any
Depends: gnat, gnat-4.6, ada-compiler,
 libgnadecommon2-dev (= ${binary:Version}),
 libsqlite3-dev, libgnadesqlite3-2 (= ${binary:Version}), ${misc:Depends}
Section: libdevel
Suggests: libgnadesqlite3-dbg
Conflicts: libgnadesqlite-dev
Replaces: libgnadesqlite-dev
Description: GNat Ada Database Environment - SQLite3 programming interface
 GNADE is a complete database development environment for Ada
 programmers.  It consists of:
 .
 a. A Thin binding to the ODBC API.  With this API, you can write
 programs that query any ODBC-compliant database server.
 .
 b. A thin binding to SQLite3.
 .
 This package contains the development files and static library for the
 SQLite3 interface.

Package: libgnadesqlite3-dbg
Priority: extra
Architecture: any
Depends: libgnadesqlite3-2 (= ${binary:Version}), ${misc:Depends}
Section: debug
Suggests: gnat, ada-compiler
Description: GNat Ada Database Environment - SQLite3 debugging symbols
 GNADE is a complete database development environment for Ada
 programmers.  It consists of:
 .
 a. A Thin binding to the ODBC API.  With this API, you can write
 programs that query any ODBC-compliant database server.
 .
 b. A thin binding to SQLite3.
 .
 This package contains the debugging symbols for the SQLite3 interface.

# when change soversion, also need to change:
#    libgnadesqlite3-2.lintian-overrides    filename
Package: libgnadesqlite3-2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: GNat Ada Database Environment - SQLite3 interface
 GNADE is a complete database development environment for Ada
 programmers.  It consists of:
 .
 a. A Thin binding to the ODBC API.  With this API, you can write
 programs that query any ODBC-compliant database server.
 .
 b. A thin binding to SQLite3.
 .
 This package contains the shared library for the SQLite3 interface.

=== debian/rules ===
#!/usr/bin/make -f

# Debian Makefile for gnade
# Copyright (c) 2009, 2010 Stephen Leake <stephen_leake@stephe-leake.org>
# Copyright (c) 2003-2006 Ludovic Brenta <lbrenta@debian.org>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
# 02110-1301 USA
#
# To setup for building this package from the latest Debian:
# sudo schroot -d `cd ..; pwd` --chroot=unstable -- apt-get build-dep gnade
#
# To build this package in a chroot:
# schroot -d `cd ..; pwd` --chroot=unstable -- dpkg-buildpackage -uc -us
#
# To run lintian:
# schroot -d `cd ..; pwd` --chroot=unstable -- make -f debian/rules lint
#
# To install the packages and run the examples:
# sudo /etc/init.d/mysql stop
# schroot -d `cd ..; pwd` --chroot=unstable -- make -f debian/rules run_test
#
# To review changes from previous version:
# schroot -d `cd ..; pwd` --chroot=unstable -- debdiff

.SUFFIXES=

# We use gnatmake, not make, for parallel builds.
.NOTPARALLEL:
CPUS := $(shell getconf _NPROCESSORS_ONLN)

# get soversions, aliversions from debian/control
common_soversion  := $(shell sed -n -e "s/^Package: libgnadecommon\([0123456789]\+\)$$/\1/p" debian/control)
odbc_soversion 	  := $(shell sed -n -e "s/^Package: libgnadeodbc\([0123456789]\+\)$$/\1/p" debian/control)
sqlite3_soversion := $(shell sed -n -e "s/^Package: libgnadesqlite3-\([0123456789]\+\)$$/\1/p" debian/control)

common_aliversion  := $(shell sed -n -e "s/^Package: libgnadecommon\(.\+\)-dev$$/\1/p" debian/control)
odbc_aliversion    := $(shell sed -n -e "s/^Package: libgnadeodbc\(.\+\)-dev$$/\1/p" debian/control)
sqlite3_aliversion := $(shell sed -n -e "s/^Package: libgnadesqlite3-\(.\+\)-dev$$/\1/p" debian/control)

# Targets mandated by the Debian Policy

.PHONY: build build-arch build-indep binary binary-arch binary-indep clean

build: build-arch build-indep
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	$(MAKE) -f debian/rules check
endif

libs := common odbc sqlite3

build-arch: $(addprefix debian/libgnade,$(addsuffix -stamp,$(libs)))

build-indep:

all_packages := $(foreach l,$(libs), libgnade$(l)-so libgnade$(l)-dev) libgnadeodbc-example libgnadesqlite3-example

clean:
	dh_clean
	rm -f debian/*-stamp
	rm -f debian/gnadesqlite3*-dev.README.Debian
	rm -f debian/gnadeodbc*-dev.README.Debian

binary: binary-arch

binary-indep:

# we ignore the warnings about "dependency on libgnadecommon.so.1
# could be avoided" for libgnadeodbc; see gnade_odbc_build.gpr for
# more info.
binary-arch: build-arch testroot $(all_packages)
	dh_shlibdeps -a
	dh_installdeb -a
	dh_installdocs -a
	dh_installchangelogs -a
	dh_compress -a
	dh_fixperms -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

# Helper targets

.PHONY: testroot

testroot:
	dh_testdir
	dh_testroot

##############################################################################
# Targets that build.

odbc_gpb_files := $(wildcard dbi/odbc/*.gpb)
odbc_preprocessed_files := $(patsubst %.gpb,debian/tmp/odbc-prep/%.adb,$(notdir $(odbc_gpb_files)))

.PRECIOUS: debian/tmp/odbc-prep debian/tmp/odbc-example-prep

GNATPREP_FLAGS=-r -DDEBUG=False -DUNICODE=True -DCALLCONVENTION=C -DLINKOPT=\"-lodbc\"

debian/tmp/odbc-prep/%.adb: dbi/odbc/%.gpb | debian/tmp/odbc-prep
	gnatprep $(GNATPREP_FLAGS) $< $@

# Make the libraries for a package.
debian/libgnade%-stamp:
	gnatmake -p -j$(CPUS) -Pdebian/gnade_$*_build -XLIBTYPE=static  -Xsoversion=$($*_soversion)
	gnatmake -p -j$(CPUS) -Pdebian/gnade_$*_build -XLIBTYPE=dynamic -Xsoversion=$($*_soversion)
	touch $@

debian/libgnadeodbc-stamp: $(odbc_preprocessed_files) debian/gnadeodbc$(odbc_aliversion)-dev.README.Debian

debian/libgnadeodbc-stamp debian/libgnadesqlite3-stamp: debian/libgnadecommon-stamp

debian/libgnadesqlite3-stamp: debian/gnadesqlite3-$(sqlite3_aliversion)-dev.README.Debian

debian/gnade%-dev.README.Debian:
	cd debian; ln -s gnadecommon$(common_aliversion)-dev.README.Debian gnade$*-dev.README.Debian

# Make a directory.
debian/tmp/%-prep:
	-mkdir -p $@

##############################################################################
# Targets that move files into the proper packages

# Install a shared object library package
libgnadecommon-so:  package := libgnadecommon$(common_soversion)
libgnadeodbc-so:    package := libgnadeodbc$(odbc_soversion)
libgnadesqlite3-so: package := libgnadesqlite3-$(sqlite3_soversion)
libgnade%-so: debian/libgnade%-stamp
	dh_installdirs -p$(package) usr/lib
	dh_install -p$(package) debian/tmp/libgnade$*.so.$($*_soversion) usr/lib
	dh_strip -p$(package) --dbg-package=libgnade$*-dbg
	dh_makeshlibs -p$(package)
	dh_lintian -p$(package)

# Install a -dev and -dbg package.
libgnadecommon-dev:  package := libgnadecommon$(common_aliversion)-dev
libgnadeodbc-dev:    package := libgnadeodbc$(odbc_aliversion)-dev
libgnadesqlite3-dev: package := libgnadesqlite3-$(sqlite3_aliversion)-dev
libgnade%-dev: debian/libgnade%-stamp
	dh_installdirs -p$(package)  usr/share/ada/adainclude/gnade$* usr/lib/ada/adalib/gnade$*
	dh_install -p$(package) debian/tmp/$*-dynamic/*.ali usr/lib/ada/adalib/gnade$*
	if [ -d dbi/$* ]; then \
	   dh_install -p$(package) dbi/$*/*.ad[bs] usr/share/ada/adainclude/gnade$* ; \
	else \
	   dh_install -p$(package) support/*.ad[bs] usr/share/ada/adainclude/gnade$* ; \
	fi
	if [ -d debian/tmp/$*-prep ]; then dh_install -p$(package) debian/tmp/$*-prep/*.ad[bs] usr/share/ada/adainclude/gnade$*; fi
	dh_install -p$(package) debian/tmp/libgnade$*.a /usr/lib
	dh_link -p$(package) /usr/lib/libgnade$*.so.$($*_soversion) /usr/lib/libgnade$*.so
	dh_install -p$(package) debian/gnade$*.gpr /usr/share/ada/adainclude

# dh_installexamples compresses demo.adb. The Debian Ada Policy says
# to not compress, but any decent editor can read a compressed file.
libgnadeodbc-example: package := libgnadeodbc$(odbc_aliversion)-dev
libgnadeodbc-example: debian/tmp/odbc-example-prep/demo.adb
	dh_installexamples -p$(package) debian/tmp/odbc-example-prep/demo.adb

libgnadesqlite3-example: package := libgnadesqlite3-$(sqlite3_aliversion)-dev
libgnadesqlite3-example:
	dh_installexamples -p$(package) samples/sqlite3/demo.adb

# Check the build by running some examples.
check: debian/check-sqlite3-stamp

# create 'gnade' mysql account, 'gnade' mysql database
# install 'MySQL' odbc driver, 'gnade_mysql' odbc source
# assumes mysql root account has no password
# assumes mysqld in main install has been stopped; use 'sudo /etc/init.d/mysql stop'
# assumes mysqld in main chroot has been started; use 'sudo schroot -- /etc/init.d/mysql start'
# assumes gnade db and user have not already been created
debian/odbc-source-stamp:
	mysqladmin -uroot create gnade
	echo "create user gnade identified by 'gnade'" | mysql -uroot
	echo "grant all on gnade.* to gnade" | mysql -uroot
	mysql -ugnade -pgnade < samples/sample_db/gnade.mysql.sql
	odbcinst -i -d -f debian/odbc_mysql_driver.ini
	odbcinst -i -s -l -f debian/odbc_mysql_source.ini
	touch $@

# Running the odbc example requires root privs to set it up, so we
# can't run it as part of the package build process. We keep the odbc
# target here so we can easily run it while developing the next
# release.
debian/check-odbc-stamp: debian/libgnadeodbc-stamp debian/odbc-source-stamp debian/tmp/odbc-example-prep/demo.adb
	gnatmake -p -Pdebian/gnade_odbc_example_build -XLIBTYPE=dynamic
	export LD_LIBRARY_PATH=`pwd`/debian/tmp; debian/tmp/odbc-example-obj/demo
	touch $@
